package com.bocloud.cmp.model;

/**
 * 子网IP地址业务bean
 *
 * @author wangyu
 * @version 1.0
 * @since 2017年9月5日
 */
public class AddressBean {
    private Long subnetId;
    private String subnetName;
    private Long networkId;
    private String subnetUuid;
    private Long portId;
    private String portUuid;
    private String address;
    private String networkUuid;
    private String qosPolicyUuid;
    private Integer maxKbps;

    /**
     *
     */
    public AddressBean() {
        super();
    }

    /**
     * @param subnetId
     * @param subnetName
     * @param networkId
     * @param subnetUuid
     * @param portId
     * @param portUuid
     * @param address
     */
    public AddressBean(Long subnetId, String subnetName, Long networkId, String subnetUuid, Long portId,
                       String portUuid, String address) {
        super();
        this.subnetId = subnetId;
        this.subnetName = subnetName;
        this.networkId = networkId;
        this.subnetUuid = subnetUuid;
        this.portId = portId;
        this.portUuid = portUuid;
        this.address = address;
    }

    /**
     * @return the subnetId
     */
    public Long getSubnetId() {
        return subnetId;
    }

    /**
     * @param subnetId the subnetId to set
     */
    public void setSubnetId(Long subnetId) {
        this.subnetId = subnetId;
    }

    /**
     * @return the subnetName
     */
    public String getSubnetName() {
        return subnetName;
    }

    /**
     * @param subnetName the subnetName to set
     */
    public void setSubnetName(String subnetName) {
        this.subnetName = subnetName;
    }

    /**
     * @return the networkId
     */
    public Long getNetworkId() {
        return networkId;
    }

    /**
     * @param networkId the networkId to set
     */
    public void setNetworkId(Long networkId) {
        this.networkId = networkId;
    }

    /**
     * @return the subnetUuid
     */
    public String getSubnetUuid() {
        return subnetUuid;
    }

    /**
     * @param subnetUuid the subnetUuid to set
     */
    public void setSubnetUuid(String subnetUuid) {
        this.subnetUuid = subnetUuid;
    }

    /**
     * @return the portId
     */
    public Long getPortId() {
        return portId;
    }

    /**
     * @param portId the portId to set
     */
    public void setPortId(Long portId) {
        this.portId = portId;
    }

    /**
     * @return the portUuid
     */
    public String getPortUuid() {
        return portUuid;
    }

    /**
     * @param portUuid the portUuid to set
     */
    public void setPortUuid(String portUuid) {
        this.portUuid = portUuid;
    }

    /**
     * @return the address
     */
    public String getAddress() {
        return address;
    }

    /**
     * @param address the address to set
     */
    public void setAddress(String address) {
        this.address = address;
    }

    public Integer getMaxKbps() {
        return maxKbps;
    }

    public void setMaxKbps(Integer maxKbps) {
        this.maxKbps = maxKbps;
    }

    public String getQosPolicyUuid() {
        return qosPolicyUuid;
    }

    public void setQosPolicyUuid(String qosPolicyUuid) {
        this.qosPolicyUuid = qosPolicyUuid;
    }

    public String getNetworkUuid() {
        return networkUuid;
    }

    public void setNetworkUuid(String networkUuid) {
        this.networkUuid = networkUuid;
    }
}
